<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Mapping\FM\FMProcessDetailMap.cs" />
    <Compile Remove="Mapping\FM\FMProcessMap.cs" />
    <Compile Remove="Mapping\FM\FMProcessPlatformFileMap.cs" />
    <Compile Remove="Mapping\FM\FMProcessPlatformMap.cs" />
    <Compile Remove="Mapping\FM\FMProcessPlatformParamMap.cs" />
    <Compile Remove="Mapping\FM\FMProductProcessDetailMap.cs" />
    <Compile Remove="Mapping\FM\FMProductProcessMap.cs" />
    <Compile Remove="Mapping\FM\FMWareHouseMap.cs" />
    <Compile Remove="Mapping\FM\FMWorkCalendarMap.cs" />
    <Compile Remove="Mapping\FM\FMWorkStageCalendarMap.cs" />
    <Compile Remove="Mapping\FM\FMWorkStageCalendarSchDetailMap.cs" />
    <Compile Remove="Mapping\FM\FMWorkStageDetailsMap.cs" />
    <Compile Remove="Mapping\FM\FMWorkstageExtStageMap.cs" />
    <Compile Remove="Mapping\FM\FMWorkStageManuResourceMap.cs" />
    <Compile Remove="Mapping\FM\FMWorkStageMap.cs" />
    <Compile Remove="Mapping\FM\MMLineMap.cs" />
    <Compile Remove="Mapping\FM\MMLineStageMap.cs" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Mapping\BD\" />
    <Folder Include="Properties\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="log4net" Version="2.0.13" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.12" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="5.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="StackExchange.Redis" Version="2.2.88" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.2.14" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\APT.BaseData.Domain\APT.BaseData.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="APT.Infrastructure.Core">
      <HintPath>..\dll\APT.Infrastructure.Core.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.EF">
      <HintPath>..\dll\APT.Infrastructure.EF.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
